

-- fruitTypehaybale


print("register fruit type: haybale");

local hudFile = Utils.getFilename("mods/Meyenburg/Meyenburg/Strawmod/haybale.png", getUserProfileAppPath());
FruitUtil.registerFruitType("haybale", true, false, false, 4, 0.20, 5, 0.5, 0.5, haybalehudFile);	
	
--local origLoadStatsFromXML = QuickPlayMenu.loadStatsFromXML;
local origSowingMachineLoad = SowingMachine.load;

SowingMachine.load = function (self, xmlFile)
	if origSowingMachineLoad ~= nil then
		origSowingMachineLoad(self, xmlFile);
	end;
	
	self.seeds = {};
	local i = 1;
    for k, fruitType in pairs(FruitUtil.fruitTypes) do
        if fruitType.allowsSeeding then
            self.seeds[i] = fruitType.index;
			i = i + 1;
        end;
    end;	
end;
